ustrerror(3)

NAME
ustrerror

SYNOPSIS
#include <allegro.h>

const char *ustrerror(int err);

DESCRIPTION
This function returns a string that describes the error code `err', which normally comes from the variable `errno'. Example:
   PACKFILE *input_file = pack_fopen("badname", "r");
   if (input_file == NULL)
      allegro_message("%s\nSorry!\n", ustrerror(errno));

RETURN VALUE
Returns a pointer to a static string that should not be modified or freed. If you make subsequent calls to ustrerror(), the string will be overwritten.

SEE ALSO
uconvert(3), allegro_error(3)